PROGRAM WinDemo;


Uses Crt,Screens,Windows;

CONST
	Shadow = TRUE;
	NoShadow = FALSE;

VAR
	Wins : ARRAY[1..5] OF WindowPtr;
	Ch : CHAR;
	InitScreen : ScrPtr;
	Buffer : POINTER;

BEGIN
	InitScreen := SaveScreen;
	ClrScr;
	FillArea(1,1,25,80,Cyan+BlueBG,#176);
	NEW(Wins[1],Init);
	Wins[1]^.MakeWin(1,1,12,40,White+RedBG,Red,DoubleBrdr,#219,Shadow);
	Wins[1]^.TitleWin(Left,' Window 1 ');
	NEW(Wins[2],Init);
	Wins[2]^.MakeWin(5,20,15,60,Black+GreenBG,Green,Stars,#32,Shadow);
	Wins[2]^.TitleWin(Center,' Window 2 ');
	NEW(Wins[3],Init);
	Wins[3]^.MakeWin(8,40,12,70,White+BlueBG,Blue,SolidBrdr,#176,Shadow);
	Wins[3]^.TitleWin(Right,' Window 3 ');
	NEW(Wins[4],Init);
	Wins[4]^.MakeWin(10,15,22,35,White+MagentaBG,Magenta,SingleBrdr,#177,Shadow);
	Wins[4]^.TitleWin(Left,' Window 4 ');
	NEW(Wins[5],Init);
	Wins[5]^.MakeWin(19,20,24,70,Yellow+BlackBG,Yellow,QuarterTone,'X',Shadow);
	Wins[5]^.TitleWin(Center,' Window 5 ');
	Wins[5]^.WriteWinC(22,'Use cursor keys to move this window !');
	REPEAT
		Ch := ReadKey;
		CASE Ch OF
			#72 : Wins[5]^.MoveWin(1,15);
			#75 : Wins[5]^.MoveWin(10,1);
			#77 : Wins[5]^.MoveWin(10,29);
			#80 : Wins[5]^.MoveWin(19,20);
		END;
	UNTIL Ch = #27;
	SaveScr(10,20,15,60,Buffer);
	ClrScr;
	Writeln('The center portion of the screen was saved.  Press any key to redisplay...');
	Ch := ReadKey;
	RestScr(1,1,6,41,Buffer);
	Ch := ReadKey;
	RestoreScreen(InitScreen);
	ClrScr;
	CursorOn;
END.